This project is based on a fictional [dataset generated](https://github.com/rdempsey/dataiku-posts) by Robert Kelley.
You should definitely read the [blogpost](https://blog.dataiku.com/building-clean-data-pipeline) he wrote to describe his project.
<br/>

The goal of this project is to use the visual preparation recipes in DSS to rework and clean a list of contacts we have so we can make something of it.

We want to: 

1.  clean the names of the contacts and separate first names and last names
2.  clean phone numbers
3.  clean postal addresses.

**You can explore this sample project in your own Dataiku DSS instance.**  
- From the Dataiku DSS home page, click **+New project > Sample Projects > Use Cases**.
- If your Dataiku DSS server doesn't have Internet access, you can [download this sample](https://update.dataiku.com/dss/5.0/tutorials/DKU_CLEANING_CONTACTS/dss-tutorial-DKU_CLEANING_CONTACTS.zip) and import it manually.  Click **+New project > Import project**.



# Explore this sample project

Take a look at the data pipeline (the flow) to see the two successive cleaning recipes.

Note: to make this project easier to understand, we have separated the cleansing in two recipes: first the names then the rest. You can do all of the cleansing in a single recipe for better performance.

<p class="text-center">
<a href="/projects/DKU_CLEANING_CONTACTS/flow/"  class="btn btn-datasets-color btn-cta-big-mod"><i class="icon-dku-sample_project" class="btn-cta-big-mod-icon" />&nbsp;Flow</a><br/><br/>
</p>

You should explore the two recipes in [the flow](/projects/DKU_CLEANING_CONTACTS/flow/) to see all the different ways to use the visual preparation recipes!


# Related content

See the [Dataiku Academy](https://academy.dataiku.com) to learn more about doing data science with DSS.